* socket stats
* cleanup _bind/_connect so you dont need to getsockname();
* make block/nonblock an option? (do i really want this)
* acl for listening sockets? (bloat?)
* on_written callback?
* fix cnet_write to only malloc/memcpy when needed.
